<?php

/**
 * Module adds the target-based noopener attribute transformation to a tags.  It
 * is enabled by HTML.TargetNoopener
 */
class ROE_Vendor_HTMLPurifier_HTMLModule_TargetNoopener extends ROE_Vendor_HTMLPurifier_HTMLModule
{
    /**
     * @type string
     */
    public $name = 'TargetNoopener';

    /**
     * @param ROE_Vendor_HTMLPurifier_Config $config
     */
    public function setup($config) {
        $a = $this->addBlankElement('a');
        $a->attr_transform_post[] = new ROE_Vendor_HTMLPurifier_AttrTransform_TargetNoopener();
    }
}
